<?php

// enqueue parent theme styles
function my_theme_enqueue_styles() {

	$showcase_style = 'hervin-showcase';
	$portfolio_style = 'hervin-portfolio';
	$blog_style = 'hervin-blog';
	$shortcodes_style = 'hervin-shortcodes';
	$assets_style = 'hervin-assets';
	$parent_style = 'parent-style';
	
	wp_enqueue_style( $showcase_style, get_template_directory_uri() . '/css/showcase.css' );
	wp_enqueue_style( $portfolio_style, get_template_directory_uri() . '/css/portfolio.css' );
	wp_enqueue_style( $blog_style, get_template_directory_uri() . '/css/blog.css' );
	wp_enqueue_style( $shortcodes_style, get_template_directory_uri() . '/css/shortcodes.css' );
	wp_enqueue_style( $assets_style, get_template_directory_uri() . '/css/assets.css' );
	wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
	
}
add_action( 'wp_enqueue_scripts', 'my_theme_enqueue_styles' );

?>