<?php
/**
 * Created by Clapat.
 * Date: 04/02/19
 * Time: 6:21 AM
 */

// register navigation menus
if ( ! function_exists( 'hervin_register_nav_menus' ) ){
	
	function hervin_register_nav_menus() {
		
	  register_nav_menus(
		array(
		  'primary-menu' => esc_html__( 'Primary Menu', 'hervin')
		)
	  );
	}
}
add_action( 'init', 'hervin_register_nav_menus' );
 
// custom excerpt length
if( !function_exists('hervin_custom_excerpt_length') ){

    function hervin_custom_excerpt_length( $length ) {

        return intval( hervin_get_theme_options( 'clapat_hervin_blog_excerpt_length' ) );
    }
}

// theme setup
if ( ! function_exists( 'hervin_theme_setup' ) ){

    function hervin_theme_setup() {

        // Set content width
        if ( ! isset( $content_width ) ) $content_width = 1180;

        // add support for multiple languages
        load_theme_textdomain( 'hervin', get_template_directory() . '/languages' );
			
	}

} // hervin_theme_setup

/**
 * Tell WordPress to run hervin_theme_setup() when the 'after_setup_theme' hook is run.
 */
add_action( 'after_setup_theme', 'hervin_theme_setup' );