<?php

	$hervin_page_nav_enable	= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-enable-navigation' );
	$hervin_page_nav_title	= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-navigation-caption-title' );
	$hervin_next_url		= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-navigation-next-url' );
	$hervin_next_title		= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-navigation-next-title' );
	$hervin_next_subtitle	= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-navigation-next-subtitle' );
	
	if( $hervin_page_nav_enable ){
?>
				<!-- Project Navigation --> 
                <div id="page-nav">
					<div class="next-page-wrap">
						<div class="next-page-title">
							<div class="inner">
								<div class="subtitle-info has-animation"><?php echo wp_kses_post( $hervin_page_nav_title ); ?></div>
								<div class="has-animation" data-delay="150"><a class="page-title hide-ball next-ajax-link-page" data-type="page-transition" href="<?php echo esc_url( $hervin_next_url	); ?>"><?php echo wp_kses_post( $hervin_next_title ); ?></a></div>
								<div class="subtitle-name"><?php echo wp_kses_post( $hervin_next_subtitle ); ?></div>
                            </div>                   
                        </div>
					</div>
                </div>      
                <!--/Project Navigation -->
<?php } ?>