<?php

$full_image = hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-portfolio-hero-img' );

if( $full_image && isset( $full_image['url'] ) ){

    $hervin_item_classes 		= '';
    $hervin_item_categories 	= '';
	$hervin_item_cats = get_the_terms($post->ID, 'portfolio_category');
	if($hervin_item_cats){

		foreach($hervin_item_cats as $item_cat) {
            $hervin_item_classes 		.= $item_cat->slug . ' ';
            $hervin_item_categories 	.= $item_cat->name . ', ';
        }

		$hervin_item_categories = rtrim($hervin_item_categories, ', ');

	}

	$item_url = get_the_permalink();

?>
						<div class="item <?php echo esc_attr( $hervin_item_classes ); ?>">
                            <div class="item-appear">                                    		
                                <div class="item-content">                            	                                    
									<a class="item-wrap ajax-link-project" data-type="page-transition" href="<?php echo esc_url( $item_url ); ?>"><?php if( hervin_get_theme_options('clapat_hervin_enable_ajax') ){ ?></a><?php } ?>
									<div class="item-wrap-image">
										<div class="item-image" data-src="<?php echo esc_url( $full_image['url'] ); ?>">
											<?php if( hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-portfolio-video' ) ){ 
												$hervin_video_webm_url = hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-portfolio-video-webm' );
												$hervin_video_mp4_url = hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-portfolio-video-mp4' );
											?>
											<div class="hero-video-wrapper">
												<video loop muted class="bgvid">
													<?php if( !empty( $hervin_video_mp4_url ) ){ ?>
													<source src="<?php echo esc_url( $hervin_video_mp4_url ); ?>" type="video/mp4">
													<?php } ?>
													<?php if( !empty( $hervin_video_webm_url ) ){ ?>
													<source src="<?php echo esc_url( $hervin_video_webm_url ); ?>" type="video/webm">
													<?php } ?>
												</video>
											</div>
											<?php } ?>
										</div>
									</div>
									<?php if( !hervin_get_theme_options('clapat_hervin_enable_ajax') ){ ?></a><?php } ?>
									<div class="item-caption">
										<h2 class="item-title"><?php the_title(); ?></h2>
										<h4 class="item-cat"><?php echo wp_kses_post( $hervin_item_categories ); ?></h4>
                                    </div>
								</div>
                            </div>
                        </div>

<?php

}
?>
