			<!-- Quick Menu -->
            <div id="quickmenu" class="<?php if( hervin_get_theme_options('clapat_hervin_enable_ajax') ){ echo 'thumb-with-ajax'; } else { echo 'thumb-no-ajax'; } ?>">
                <div class="outer">
                    <div class="inner">
                    	<div id="quickmenu-scroll">
                        	<div id="close-quickmenu"></div>    
                            <ul id="quick-projects" data-fx="1">
								<?php

										$hervin_showcase_tax_query = null;
										if( is_page_template('showcase-page.php') || is_page_template('carousel-page.php') ){
											
											$hervin_showcase_category_filter	= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-showcase-filter-category' );

											if( !empty( $hervin_showcase_category_filter ) ){
												
												$hervin_array_terms = explode( ",", $hervin_showcase_category_filter );
												$hervin_showcase_tax_query = array(
																					array(
																						'taxonomy' 	=> 'portfolio_category',
																						'field'  	=> 'slug',
																						'terms'  	=> $hervin_array_terms,
																					),
																				);
											}
										}
										
										$hervin_paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
										$hervin_args = array(
													'post_type' => 'hervin_portfolio',
													'paged' => $hervin_paged,
													'tax_query' => $hervin_showcase_tax_query,
													'posts_per_page' => 1000,
													 );

										$hervin_portfolio = new WP_Query( $hervin_args );

										$hervin_slides_count = 1;
										while( $hervin_portfolio->have_posts() ){

											$hervin_portfolio->the_post();
											
											$hervin_showcase_include	= hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-portfolio-showcase-include' );
											
											if( $hervin_showcase_include == "yes" ){
											
												$hervin_hero_properties = new HervinHeroProperties();
												$hervin_hero_properties->getProperties( get_post_type( get_the_ID() ) );
												
												?>
												<li class="hide-ball" data-img="<?php echo esc_url( $hervin_hero_properties->image['url'] ); ?>">
													<?php if( hervin_get_theme_options('clapat_hervin_enable_ajax') ){ ?>
													<a class="quick-title" data-type="page-transition" href="<?php the_permalink(); ?>">
													<?php } else { ?>
													<a class="quick-title" href="<?php the_permalink(); ?>">
													<?php } ?>
														<div class="q-timeline">
															<?php echo wp_kses_post( $hervin_hero_properties->caption_title ); ?><span><?php echo wp_kses_post( sprintf("%02d", $hervin_slides_count) ); ?></span>
															<div class="q-cat"><?php echo wp_kses_post( $hervin_hero_properties->caption_subtitle ); ?></div>
														</div>
													</a>
												</li>
												<?php
												
												$hervin_slides_count++;
											}

										}

										wp_reset_postdata();
								?>
                            </ul>
                        </div>    
                    </div>
                </div>
            </div>
			<!-- /Quick Menu -->