<?php
// archive template for portfolio categories

get_header();

$hervin_hover_effect		= "below-caption";
$hervin_portfolio_layout	= "wide";

$hervin_page_container_list = array();
?>
				
		<!-- Main -->
		<div id="main">
		
			<!-- Hero Section -->
			<div id="hero">
				<div id="hero-styles" class="parallax-onscroll">
					<div id="hero-caption">
						<div class="inner text-align-center">
							<div class="hero-title"><?php single_cat_title(); ?></div>
						</div>
					</div>
				</div>
			</div>
			<!--/Hero Section -->

			<!-- Main Content -->
			<div id="main-content">
				<div id="main-page-content">
				
					<!-- Portfolio -->
					<div id="portfolio-wrap" class="<?php echo sanitize_html_class( $hervin_portfolio_layout ); ?>">
						<div id="portfolio"  class="<?php echo sanitize_html_class( $hervin_hover_effect ); ?>">
						<?php

							while( have_posts() ){

								the_post();
								
								get_template_part('sections/portfolio_section_item');
								
								$hervin_item_full_image = hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-portfolio-hero-img' );

								if( $hervin_item_full_image && isset( $hervin_item_full_image['url'] ) ){
								
									$hervin_page_container_list[] = $hervin_item_full_image['url'];
								}
								
							}
							
							wp_reset_postdata();
							
							hervin_portfolio_images( $hervin_page_container_list );
						?>
						</div>
					</div>
					<!--/Portfolio -->
					
				</div>
                <!--/Main Page Content -->
			</div>
			<!-- /Main Content -->
		</div>
        <!--/Main -->
<?php
	
get_footer();

?>