<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<main>
    <?php if( hervin_get_theme_options('clapat_hervin_enable_preloader') ){ ?>
		<!-- Preloader -->
        <div class="preloader-wrap">
            <div class="outer">
				<div class="inner">
                    <div class="percentage" id="precent"></div>
                    <div class="trackbar">
                        <div class="loadbar"></div>
                    </div>
                </div>
            </div>
        </div>
        <!--/Preloader -->
  <?php } ?>
		
		<!--Cd-main-content -->
		<div class="cd-index cd-main-content">
			
		<?php
		$hervin_bknd_color = 'dark-content';
		if( is_singular( 'hervin_portfolio' ) ){
	
			$hervin_bknd_color = hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-portfolio-bknd-color' );
			
		}
		else if( is_singular( 'post' ) ){
	
			$hervin_bknd_color = hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-blog-bknd-color' );
			
		}
		else if( is_tax('portfolio_category') ){
			
			$hervin_bknd_color = 'light-content';
			
		}
		else if( is_home() || is_date() || is_author() || is_search() || is_tag() || is_category() ){ 
		
			$hervin_bknd_color = hervin_get_theme_options( 'clapat_hervin_blog_pages_bknd_type' );
			
		}
		else if( is_404() ){
			
			$hervin_bknd_color = hervin_get_theme_options( 'clapat_hervin_error_page_bknd_type' );
			
		}
		else if( is_page() ){
	
			$hervin_bknd_color = hervin_get_post_meta( HERVIN_THEME_OPTIONS, get_the_ID(), 'hervin-opt-page-bknd-color' );

		}
		?>
	
		<?php if( is_page_template( 'blog-page.php' ) || is_home() || is_archive() || is_search() ){ ?>
			<!-- Page Content -->
			<div id="page-content" class="blog-template <?php echo sanitize_html_class( $hervin_bknd_color ); ?>">
		<?php } else { ?>
			<!-- Page Content -->
			<div id="page-content" class="<?php echo sanitize_html_class( $hervin_bknd_color ); ?>">
		<?php } ?>
		
			<?php 
				// display header section
				get_template_part('sections/header_section'); 		
			?>