<?php

if( !isset( $hervin_default_theme_options ) ){
	
	$hervin_default_theme_options = array();

	$hervin_default_theme_options['clapat_hervin_enable_ajax'] = 0;
	$hervin_default_theme_options['clapat_hervin_enable_smooth_scrolling'] = 0;
	$hervin_default_theme_options['clapat_hervin_enable_preloader'] = 1;
	$hervin_default_theme_options['clapat_hervin_enable_fullscreen_menu'] = 0;
	$hervin_default_theme_options['clapat_hervin_enable_back_to_top'] = 1;
	$hervin_default_theme_options['clapat_hervin_back_to_top_caption'] = esc_html__( 'Back Top', 'hervin' );
	$hervin_default_theme_options['clapat_hervin_menu_btn_caption'] = esc_html__( 'Menu', 'hervin' );
	$hervin_default_theme_options['clapat_hervin_enable_page_title_as_hero'] = 1;
	$hervin_default_theme_options['clapat_hervin_enable_magic_cursor'] = 1;
	$hervin_default_theme_options['clapat_hervin_logo'] = esc_url( get_template_directory_uri() . '/images/logo.png' );
	$hervin_default_theme_options['clapat_hervin_logo_light'] = esc_url( get_template_directory_uri() . '/images/logo-white.png' );
	$hervin_default_theme_options['clapat_hervin_footer_copyright'] = wp_kses_post( __('<p>2019 Copyright <a target="_blank" href="https://www.clapat.com/themes/hervin/">Hervin Theme</a>.</p>', 'hervin') );
	$hervin_default_theme_options['clapat_hervin_footer_social_links_prefix'] = esc_html__( 'Follow Us', 'hervin' );
	global $hervin_social_links;
	$social_network_ids = array_keys( $hervin_social_links );
	for( $idx = 1; $idx <= HERVIN_MAX_SOCIAL_LINKS; $idx++ ){

		$hervin_default_theme_options['clapat_hervin_footer_social_' . $idx] = 'Fb';
		$hervin_default_theme_options['clapat_hervin_footer_social_url_' . $idx] = '';
	}
	$hervin_default_theme_options['clapat_hervin_portfolio_custom_slug'] = '';
	$hervin_default_theme_options['clapat_hervin_showcase_all_caption'] = esc_html__('All Projects', 'hervin');
	$hervin_default_theme_options['clapat_hervin_showcase_close_all_caption'] = esc_html__('Close', 'hervin');
	$hervin_default_theme_options['clapat_hervin_portfolio_filter_all_caption'] = esc_html__('All', 'hervin');
	$hervin_default_theme_options['clapat_hervin_portfolio_show_categories_caption'] = esc_html__('Categories', 'hervin');
	$hervin_default_theme_options['clapat_hervin_portfolio_show_filters_hover_caption'] = esc_html__('Show', 'hervin');
	$hervin_default_theme_options['clapat_hervin_portfolio_show_filters_caption'] = esc_html__('Filters', 'hervin');
	$hervin_default_theme_options['clapat_hervin_portfolio_next_caption'] = esc_html__('Next Project', 'hervin');
	$hervin_default_theme_options['clapat_hervin_portfolio_navigation_order'] = 'forward';
	$hervin_default_theme_options['clapat_hervin_blog_next_post_caption'] = esc_html__('Next', 'hervin');
	$hervin_default_theme_options['clapat_hervin_blog_pages_bknd_type'] = 'dark-content';
	$hervin_default_theme_options['clapat_hervin_blog_default_title'] = esc_html__('Blog', 'hervin');
	$hervin_default_theme_options['clapat_hervin_map_address'] = esc_html__('775 New York Ave, Brooklyn, Kings, New York 11203', 'hervin');
	$hervin_default_theme_options['clapat_hervin_map_marker'] = esc_url( get_template_directory_uri() . '/images/marker.png');
	$hervin_default_theme_options['clapat_hervin_map_zoom'] = 16;
	$hervin_default_theme_options['clapat_hervin_map_company_name'] = esc_html__('Hervin', 'hervin');
	$hervin_default_theme_options['clapat_hervin_map_company_info'] = esc_html__('Here we are. Come to drink a coffee!', 'hervin');
	$hervin_default_theme_options['clapat_hervin_map_type'] = 'satellite';
	$hervin_default_theme_options['clapat_hervin_map_api_key'] = '';
	$hervin_default_theme_options['clapat_hervin_error_title'] = esc_html__('404', 'hervin');
	$hervin_default_theme_options['clapat_hervin_error_info'] = esc_html__('The page you are looking for could not be found.', 'hervin');
	$hervin_default_theme_options['clapat_hervin_error_back_button'] = esc_html__('Home Page', 'hervin');
	$hervin_default_theme_options['clapat_hervin_error_back_button_hover_caption'] = esc_html__('Go Back', 'hervin');
	$hervin_default_theme_options['clapat_hervin_error_back_button_url'] = esc_url( get_home_url() );
	$hervin_default_theme_options['clapat_hervin_error_page_bknd_type'] = 'dark-content';
}

if( !class_exists('Clapat\Hervin\Metaboxes\Meta_Boxes') ){
	
	$hervin_default_meta_options = array (
									"hervin-opt-page-bknd-color" =>"dark-content", 
									"hervin-opt-page-enable-hero" =>"", 
									"hervin-opt-page-hero-caption-title" =>"", 
									"hervin-opt-page-hero-caption-subtitle" =>"", 
									"hervin-opt-page-enable-navigation" =>"", 
									"hervin-opt-page-navigation-caption-title" =>"", 
									"hervin-opt-page-navigation-next-url" =>"", 
									"hervin-opt-page-navigation-next-title" =>"", 
									"hervin-opt-page-navigation-next-subtitle" =>"", 
									"hervin-opt-page-portfolio-hover-effect" =>"below-caption", 
									"hervin-opt-page-portfolio-layout" =>"wide", 
									"hervin-opt-page-portfolio-mixed-items" =>"", 
									"hervin-opt-page-portfolio-mixed-content-position" =>"1", 
									"hervin-opt-page-showcase-filter-category" =>"", 
									"hervin-opt-blog-bknd-color" =>"dark-content", 
									"hervin-opt-portfolio-bknd-color" =>"dark-content", 
									"hervin-opt-portfolio-showcase-include" =>"yes", 
									"hervin-opt-portfolio-hero-img" => "", 
									"hervin-opt-portfolio-video" =>"", 
									"hervin-opt-portfolio-video-webm" =>"", 
									"hervin-opt-portfolio-video-mp4" =>"", 
									"hervin-opt-portfolio-hero-caption-title" =>"", 
									"hervin-opt-portfolio-hero-caption-subtitle" =>"", 
									"hervin-opt-portfolio-hero-scroll-caption" => esc_html__('Scroll Down', 'hervin'),
									"hervin-opt-portfolio-hero-project-info" => "",
									"hervin-opt-portfolio-hero-position" =>"fixed-onscroll", 
								);
}

?>
