<?php

if( !function_exists('hervin_render_footer_social_links' ) )
{
	function hervin_render_footer_social_links(){

		$hervin_social_links = "";
		for( $idx = 1; $idx <= HERVIN_MAX_SOCIAL_LINKS; $idx++ ){

			$social_name = hervin_get_theme_options( 'clapat_hervin_footer_social_' . $idx );
			$social_url  = hervin_get_theme_options( 'clapat_hervin_footer_social_url_' . $idx );

			if( $social_url ){

				$hervin_social_links .= '<li><span class="parallax-wrap"><a class="parallax-element" href="' . esc_url( $social_url ) . '" target="_blank">' . wp_kses_post( $social_name ) . '</a></span></li>';

			}

		}
		
		if( !empty( $hervin_social_links ) ){
?>
						<div class="socials-wrap">            	
							<div class="socials-icon"><i class="fa fa-share-alt" aria-hidden="true"></i></div>
							<div class="socials-text"><?php echo wp_kses_post( hervin_get_theme_options('clapat_hervin_footer_social_links_prefix') ); ?></div>
							<ul class="socials">
								<?php echo wp_kses_post( $hervin_social_links ); ?>
							</ul>
						</div>
<?php			
		
		}

	}
}

hervin_render_footer_social_links();

?>
