<?php
/**
 * Created by Clapat.
 * Date: 12/04/19
 * Time: 1:34 PM
 */
$hervin_hero_properties = hervin_get_hero_properties( get_post_type() );

$hero_styles = $hervin_hero_properties->position;

if( $hervin_hero_properties->enabled ){

?>

		<!-- Hero Section -->
		<div id="hero" class="<?php if( $hervin_hero_properties->image && !empty( $hervin_hero_properties->image['url'] ) ){ echo 'has-image'; } ?>">
				<div id="hero-styles" class="<?php echo esc_attr( $hero_styles ); ?>">
					<div id="hero-caption">
						<div class="inner">
							<div class="hero-title"><?php echo wp_kses_post( $hervin_hero_properties->caption_title ); ?></div>
							<div class="hero-subtitle"><?php echo wp_kses_post( $hervin_hero_properties->caption_subtitle ); ?></div>
						</div>
					</div>
					<?php if( $hervin_hero_properties->image && !empty( $hervin_hero_properties->image['url'] ) ){ ?>
					<div class="hero-bottom">
						<?php if( !empty( $hervin_hero_properties->scroll_down_caption ) ){ ?>
                       	<div class="hb-left">
                           	<div id="scrolldown" class="text-rotate link">
								<span>
									<?php echo wp_kses_post( $hervin_hero_properties->scroll_down_caption ); ?><br />
									<?php echo wp_kses_post( $hervin_hero_properties->scroll_down_caption ); ?><br />
									<?php echo wp_kses_post( $hervin_hero_properties->scroll_down_caption ); ?><br />
									<?php echo wp_kses_post( $hervin_hero_properties->scroll_down_caption ); ?>
								</span>
							</div>
						</div>
						<?php } ?>
						<?php if( !empty( $hervin_hero_properties->project_info ) ){ ?>
                        <div class="hb-right"><?php echo wp_kses_post( $hervin_hero_properties->project_info ); ?></div>
						<?php } ?>
                    </div>
					<?php } ?>
				</div>
		</div>
		<?php if( $hervin_hero_properties->image && !empty( $hervin_hero_properties->image['url'] ) ){ ?>
		<div id="hero-bg-wrapper">
			<div id="hero-image-parallax">
				<div id="hero-bg-image" class="<?php echo sanitize_html_class( $hervin_hero_properties->foreground ); ?>" style="background-image:url(<?php echo esc_url( $hervin_hero_properties->image['url'] ); ?>)">
				<?php if( $hervin_hero_properties->video ){ ?>
					<div class="hero-video-wrapper">
						<video loop muted class="bgvid">
							<?php if( !empty( $hervin_hero_properties->video_mp4 ) ){ ?>
							<source src="<?php echo esc_url( $hervin_hero_properties->video_mp4 ); ?>" type="video/mp4">
							<?php } ?>
							<?php if( !empty( $hervin_hero_properties->video_webm ) ){ ?>
							<source src="<?php echo esc_url( $hervin_hero_properties->video_webm ); ?>" type="video/webm">
							<?php } ?>
						</video>
					 </div>
				<?php } ?>
				</div>
			</div>
		</div>
		<?php } ?>
		<!--/Hero Section -->

<?php
}
?>
